Package org.eclipse.emf.cdo.view

## Interface CDOUnit

-     public interface CDOUnit

  A disjunct `EObject` subtree of a model repository with the following additional characteristics:
  - All `root` / subtree element relations of a unit are physically stored and managed in the model repository.
  - All elements of a unit are loaded very quickly in a single server request when the unit is `opened`.
  - All elements of an open unit stay loaded until the unit is `closed`.
  - While a unit is open all its elements receive change notifications from the server without the need for a `change subscription policy`.
  - Units can not overlap, that is, their element subtrees are disjunct.
  - Units are locally managed by the `unit manager` of the `view`.
  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Same as calling `close(true`.
    `void` | `close​(boolean resubscribe)` | Closes this unit and optionally `resubscribes` all contained objects for change notifications.
    `int` | `getElements()` |
    `CDOUnitManager` | `getManager()` |
    `EObject` | `getRoot()` |

- - ### Method Detail

    - #### getManager

          CDOUnitManager getManager()

    - #### getRoot

          EObject getRoot()

    - #### getElements

          int getElements()

    - #### close

          void close()

      Same as calling `close(true`.

    - #### close

          void close​(boolean resubscribe)

      Closes this unit and optionally `resubscribes` all contained objects for change notifications.